// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: reservemodule/reservemodule.proto

package openfmb.reservemodule;

public interface ReserveAvailabilityOrBuilder extends
    // @@protoc_insertion_point(interface_extends:reservemodule.ReserveAvailability)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin incrementalMargin = 1;</code>
   * @return Whether the incrementalMargin field is set.
   */
  boolean hasIncrementalMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin incrementalMargin = 1;</code>
   * @return The incrementalMargin.
   */
  openfmb.reservemodule.ReserveMargin getIncrementalMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin incrementalMargin = 1;</code>
   */
  openfmb.reservemodule.ReserveMarginOrBuilder getIncrementalMarginOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin margin = 2;</code>
   * @return Whether the margin field is set.
   */
  boolean hasMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin margin = 2;</code>
   * @return The margin.
   */
  openfmb.reservemodule.ReserveMargin getMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin margin = 2;</code>
   */
  openfmb.reservemodule.ReserveMarginOrBuilder getMarginOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin standbyMargin = 3;</code>
   * @return Whether the standbyMargin field is set.
   */
  boolean hasStandbyMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin standbyMargin = 3;</code>
   * @return The standbyMargin.
   */
  openfmb.reservemodule.ReserveMargin getStandbyMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin standbyMargin = 3;</code>
   */
  openfmb.reservemodule.ReserveMarginOrBuilder getStandbyMarginOrBuilder();
}
